#!/bin/sh




clear









#!/bin/sh



# 指定目录的绝对路径
#TARGET_DIR="/data/"

# 获取当前脚本的工作目录
#CURRENT_DIR=$(pwd)

# 比较当前目录和目标目录
#if [ "$CURRENT_DIR" != "$TARGET_DIR" ]; then
    #echo "\033[31m请将本文件放在/data/中运行\033[0m"
    #echo "\033[31m请在目录 $TARGET_DIR 中运行此文件\033[0m"
   # exit 1
#else
    #echo ""
#fi





#!/bin/sh



# 指定需要切换到的目录
TARGET_DIR="/data/"

# 尝试切换到目标目录
cd "$TARGET_DIR"

# 检查是否成功切换到目标目录
if [ $? -ne 0 ]; then
    echo "\033[31m错误：无法切换到目录 $TARGET_DIR请手动切换到>/data/目录运行\033[0m"
    exit 1
fi

# 如果成功切换，继续执行其他命令
echo "成功切换到目录 $TARGET_DIR运行"



echo " [-]请输入卡密>:"

read  user_input

case $user_input in
         1)#密码
          
echo -e "\033[32m卡密正确√\033[0m"
echo -e "\033[32m卡密正确√\033[0m"
echo -e "\033[32m卡密正确√\033[0m"
echo -e "\033[32m卡密正确√\033[0m"
sleep 2
         


clear
[[ "$(id -u)" != "2000" && "$(id -u)" != "0" ]] && echo "\e[31m没root，你执行个屁呀！\e[0m" && exit
#用户选择菜单
sleep 1.5
echo " ---------------    -------------    ---------------    ---------------   --------------------               "
sleep 1.5
echo " |             |    |           |    |             |    |             |   |                  |  "
sleep 1.5
echo " |    [暖]    |------|   [冬]  |------|   [制]    |------|   [作]    |-----|->[QQ:2539109061]|         "
sleep 1.5
echo " |             |    |           |    |             |    |             |   |                  |   "
sleep 1.5
echo " ---------------    -------------    ---------------    ---------------   --------------------                "
sleep 1.5
echo  "\033[34mASCII是一种计算机文字艺术\033[0m"
sleep 4








#!/bin/sh

# 获取内核版本信息
kernel_version=$(uname -r)
echo "当前内核版本号是: $kernel_version"

# 获取系统架构信息
system_arch=$(uname -m)
echo "系统架构是: $system_arch"

# 获取操作系统名称
os_name=$(uname -s)
echo "操作系统名称是: $os_name"

# 获取节点名称（通常是主机名）
node_name=$(uname -n)
echo "节点名称（主机名）是: $node_name"




echo "\n"
echo "如没有您的内核版本就代表还没有做出请联系该内核版本作者"
echo "欢迎使用驱动整合>驱动包含："
echo " 1--独家驱动<自动刷入>"
echo " 2--DIT驱动"
echo " 3--FT驱动"
echo " 4--GT>1.7驱动"
echo " 5--MUST驱动"
echo " 6--QX14.3驱动"
echo " 7--选择>->1--独家驱动(自动刷入)时显示报错解决"
echo " 8--！！和平清理内核残留！！"
echo " [-]选择驱动:"

read option

case $option in
     1)
        

# 链接地址
link="https://cccimg.com/down.php/89f5f5120a08d70d0ad1ec0bd9c5860b.sh&XXYYLL"#.独家驱动
file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
[[ "$(id -u)" != "2000" && "$(id -u)" != "0" ]] && echo "\e[31m没root，你执行个屁呀！\e[0m" && exit
# 下载文件到当前目录
curl -o your_script.sh "$link" 
chmod +x your_script.sh
./your_script.sh
         ;;
     2)
     clear
echo "\n" 
 

echo "请选择您的内核版本根据上面的选择:"
echo "  1--4.14.186"
echo "  2--4.14.186b"
echo "  3--4.14.186c"
echo "  4--note10pro"
echo "  5--4.4.192"
echo "  6--4.14.113-117包含"
echo "  7--4.9.186"
echo "  8--4.14.180"
echo "  9--4.19.113"
echo "  10--4.19.157"
echo "  11--4.19.191"
echo "  12--5.4.61"
echo "  13--5.10"
echo "  14--5.15"
echo "  15--6.1"
echo "  16--驱动信息"
 kernel_version=$(uname -r)
echo "  \033[31m当前内核版本号是: $kernel_version\033[0m"
echo " [-]选择内核版本:"


read choice

case $choice in
    1)
    #!/bin/bash

# 指定要检查权限的文件路径
#!/bin/bash

file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi      # 链接地址
link="https://cccimg.com/down.php/8425fc2ecc8cd144eac5f13e6bb43b6d.sh"#.独家驱动

# 下载文件到当前目录
curl -o DIT4.14.186.sh "$link"#换下载名儿。
chmod +x DIT4.14.186.sh
./DIT4.14.186.sh
    ;;
    2)
    #!/bin/bash

file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
     # 链接地址
link="https://cccimg.com/down.php/46ff6e661d0c4de943d2ac71e5d7e823.sh"#.

# 下载文件到当前目录
curl -o DIT4.14.186b.sh "$link"#换下载名儿。
chmod +x DIT4.14.186b.sh
./DIT4.14.186b.sh
       
     ;;
     3)
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
    # 链接地址
link="https://cccimg.com/down.php/1184fd405398832f9430d41e0d5fc92c.sh"#.
# 下载文件到当前目录
curl -o DIT4.14.186c.sh "$link"#换下载名儿。
chmod +x DIT4.14.186c.sh
./DIT4.14.186c.sh 
     ;;
     4)
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
   # 链接地址
link="https://cccimg.com/down.php/ca00b759621815c175337be5a8e30267.sh"#.
# 下载文件到当前目录
curl -o note10pro.sh "$link"#换下载名儿。
chmod +x note10pro.sh
./note10pro.sh 
     ;;
     5)
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
    # 链接地址
link="https://cccimg.com/down.php/3a5b645e90a7ea55fb76cbff9e46b09c.sh"#.
# 下载文件到当前目录
curl -o DIT4.4.192.sh "$link"#换下载名儿。
chmod +x DIT4.4.192.sh
./DIT4.4.192.sh 
     ;;
     6)
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
   # 链接地址
link="https://cccimg.com/down.php/07a4b9f2ccb12b1d0a77d46023c13187.sh"#.
# 下载文件到当前目录
curl -o DIT4.14.113.117.sh "$link"#换下载名儿。
chmod +x DIT4.14.113.117.sh
./DIT4.14.113.117.sh 
     ;;
     7)#4.9.186
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/169123f552e157e4ddda6d35f7f818e7.sh"#.
# 下载文件到当前目录
curl -o DIT4.9.186.sh "$link"#换下载名儿。
chmod +x DIT4.9.186.sh
./DIT4.9.186.sh 
     ;;
     8)#4.14.180
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
               # 链接地址
link="https://cccimg.com/down.php/d3ee446e2ffc02f3c043b0a264828015.sh"#.
# 下载文件到当前目录
curl -o DIT4.14.180.sh "$link"#换下载名儿。
chmod +x DIT4.14.180.sh
./DIT4.14.180.sh    
     ;;
     9)#4.19.113
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
               # 链接地址
link="https://cccimg.com/down.php/1c93548f63984d1a3e34d7cf96740e63.sh"#.
# 下载文件到当前目录
curl -o DIT4.19.113.sh "$link"#换下载名儿。
chmod +x DIT4.19.113.sh
./DIT4.19.113.sh 
     ;;
     10)#4.19.157
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
               # 链接地址
link="https://cccimg.com/down.php/1d9e34c987ac4ed5a9096ed3fb244e3e.sh"#.
# 下载文件到当前目录
curl -o DIT4.19.157.sh "$link"#换下载名儿。
chmod +x DIT4.19.157.sh
./DIT4.19.157.sh 
     ;;
     11)#4.19.191
          file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
    # 链接地址
link="https://cccimg.com/down.php/93693eca5caf194843ec51f27f0d6d75.sh"#.
# 下载文件到当前目录
curl -o DIT4.19.191.sh "$link"#换下载名儿。
chmod +x DIT4.19.191.sh
./DIT4.19.191.sh 
     ;;
     12)#5.4.61
          file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
     link="https://cccimg.com/down.php/8db6fdc176eedcbc9d74aab6592d74c7.sh"#.
# 下载文件到当前目录
curl -o DIT5.4.61.sh "$link"#换下载名儿。
chmod +x DIT5.4.61.sh
./DIT5.4.61.sh 
     ;;
     13)#5.10
          file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
     # 链接地址
link="https://cccimg.com/down.php/fa5c1bd4d4516fc8d9f4ec6ecf282c54.sh"#.
# 下载文件到当前目录
curl -o DIT5.10.sh "$link"#换下载名儿。
chmod +x DIT5.10.sh
./DIT5.10.sh 
     ;;
     14)#5.15
          file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
           # 链接地址
link="https://cccimg.com/down.php/38e0ce36e854bf87ae6706bd9c0639cc.sh"#.
# 下载文件到当前目录
curl -o DIT5.15.sh "$link"#换下载名儿。
chmod +x DIT5.15.sh
./DIT5.15.sh   
     ;;
     15)#6.1
          file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/fa32ba758864a92af816bab10bcda0bc.sh"#.
# 下载文件到当前目录
curl -o DIT6.1.sh "$link"#换下载名儿。
chmod +x DIT6.1.sh
./DIT6.1.sh  
    
     ;;
    16)
        echo "刷入只要能识别到驱动文件就是刷入成功暂时不支持oppo或者一加没有你的内核就是还没有编译,跟我反馈tg频道@bbtswd或者@nsnb2"
    ;;
    *)
        echo "无效的选择"
        ;;
esac
        
        
         
            
     ;;
     3)
         
       
         
                  
echo "\n" 
clear   
            
echo "请选择您的内核版本根据上面的选择:"       
 echo " 1--4.14.117"
echo "  2--4.14.141"
echo "  3--4.14.180"
echo "  4--4.14.186"
echo "  5--4.14.186b"
echo "  6--4.19.81"
echo "  7--4.19.113"
echo "  8--4.19.113b"
echo "  9--4.19.157"
echo "  10--4.19.157b"
echo "  11--4.19.191"
echo "  12--5.4.61"
echo "  13--5.4.86"
echo "  14--5.4.147"
echo "  15--5.10"
echo "  16--5.15"
echo "  17--6.1"
echo "  18--oppo4.19.81"
echo "  19--驱动信息"
 kernel_version=$(uname -r)
echo "  \033[31m当前内核版本号是: $kernel_version\033[0m"
echo " [-]选择驱动:"

read my_variable

case $my_variable in
        1)#4.14.117
          file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/cbca2164e99a6fbe77db9e1e91c671f2.sh"#.
# 下载文件到当前目录
curl -o FT4.14.117.sh "$link"#换下载名儿。
chmod +x FT4.14.117.sh
./FT4.14.117.sh  
     ;;
     2)#4.14.141
      file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/2666a1e2ee5d36fc7dfbc19d70ba0773.sh"#.
# 下载文件到当前目录
curl -o FT4.14.141.sh "$link"#换下载名儿。
chmod +x FT4.14.141.sh
./FT4.14.141.sh       
     ;;   
     3)#4.14.180
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/ea382234c1386b7515bd38f8045d54be.sh"#.
# 下载文件到当前目录
curl -o FT4.14.180.sh "$link"#换下载名儿。
chmod +x FT4.14.180.sh
./FT4.14.180.sh            
     ;;   
     4)#4.14.186
          file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/d3b45c6c1e1ab3dfeeb7a7939c106274.sh"#.
# 下载文件到当前目录
curl -o FT4.14.186.sh "$link"#换下载名儿。
chmod +x FT4.14.186.sh
./FT4.14.186.sh       
     ;;   
     5)#4.14.186b
          file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/0cbab8fcef48f22c99219d12c6e8601b.sh"#.
# 下载文件到当前目录
curl -o FT4.14.186b.sh "$link"#换下载名儿。
chmod +x FT4.14.186b.sh
./FT4.14.186b.sh               
     ;;      
     6)#4.19.81
          file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/eb41b0ff80fdcfb8d93ef8ff29ee99cd.sh"#.
# 下载文件到当前目录
curl -o FT4.19.81.sh "$link"#换下载名儿。
chmod +x FT4.19.81.sh
./FT4.19.81.sh                   
     ;;      
     7)#4.19.113
         file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/e6f350728f54c257c359df8f1bed73e8.sh"#.
# 下载文件到当前目录
curl -o FT4.19.113.sh "$link"#换下载名儿。
chmod +x FT4.19.113.sh
./FT4.19.113.sh                    
     ;;   
     8)#4.19.113b  
      file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/e8610de9f41aa9bd2f5b010de0c1649d.sh"#.
# 下载文件到当前目录
curl -o FT4.19.113b.sh "$link"#换下载名儿。
chmod +x FT4.19.113b.sh
./FT4.19.113b.sh                        
     ;;   
     9)#4.19.157 
       file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/69785c8e71766ee9a5d015dc4d3d3b14.sh"#.
# 下载文件到当前目录
curl -o FT4.19.157.sh "$link"#换下载名儿。
chmod +x FT4.19.157.sh
./FT4.19.157.sh                                   
     ;;   
     10)#4.19.157b  
      file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/b9f6058fdbaf4a37dc48195bd09d17b9.sh"#.
# 下载文件到当前目录
curl -o FT4.19.157b.sh "$link"#换下载名儿。
chmod +x FT4.19.157b.sh
./FT4.19.157b.sh                                    
     ;;   
     11)#4.19.191 
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/ab4fdac690e4a8ffbd5e6f4bbae27033.sh"#.
# 下载文件到当前目录
curl -o FT4.19.191.sh "$link"#换下载名儿。
chmod +x FT4.19.191.sh
./FT4.19.191.sh                            
         
     ;;   
     12)#5.4.61 
      file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/5f041ec07429f91338ddfe0bd3616380.sh"#.
# 下载文件到当前目录
curl -o FT5.4.61.sh "$link"#换下载名儿。
chmod +x FT5.4.61.sh
./FT5.4.61.sh                                    
     ;;   
     13)#5.4.86  
      file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/4c4b37b816cfb70da76d055dda691dfa.sh"#.
# 下载文件到当前目录
curl -o FT5.4.86.sh "$link"#换下载名儿。
chmod +x FT5.4.86.sh
./FT5.4.86.sh                                
     ;;   
     14)#5.4.147 
       file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/6decf901f83c870af5fd8c3889327165.sh"#.
# 下载文件到当前目录
curl -o FT5.4.147.sh "$link"#换下载名儿。
chmod +x FT5.4.147.sh
./FT5.4.147.sh                                   
     ;;   
     15)#5.10 
      file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/02c6c3b9cd87cf11a18b6a8304041aaf.sh"#.
# 下载文件到当前目录
curl -o FT5.10.sh "$link"#换下载名儿。
chmod +x FT5.10.sh
./FT5.10.sh                                 
     ;;   
     16)#5.15
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/2f80b0cbb25c60b0cea92e402f940225.sh"#.
# 下载文件到当前目录
curl -o FT5.15.sh "$link"#换下载名儿。
chmod +x FT5.15.sh
./FT5.15.sh                                     
     ;;   
     17)#6.1 
      file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/73671601d0ff8d17c5ea89407a6abe55.sh"#.
# 下载文件到当前目录
curl -o FT6.1.sh "$link"#换下载名儿。
chmod +x FT6.1.sh
./FT6.1.sh                                    
     ;;   
     18)#oppo4.19.81
    file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
          # 链接地址
link="https://cccimg.com/down.php/50f802d772eb21d7a7b818d2af1c9306.sh"#.
# 下载文件到当前目录
curl -o FToppo4.19.81.sh "$link"#换下载名儿。
chmod +x FToppo4.19.81.sh
./FToppo4.19.81.sh                             
         
     ;;   
     19)  
         
         echo "该驱动是Bing的如没有你的版本号或者出现任何问题请联系Bing作者"
     ;;   
        
     *)
         echo "无效选项"
         ;;
esac
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         ;;
     4)
echo "\n" 
echo -e "\033[31m由于技术原因应该是在代码中通过访问浏览器\n下载浏览器中的文件在将文件给予权限并且执行由于GT作者\n文件属于加密目前只能下载一个文件它原本\n有两个所以因为技术原因选项暂时维护后续会解决\033[0m"                     
exit
 kernel_version=$(uname -r)
echo "  \033[31m当前内核版本号是: $kernel_version\033[0m"
echo "请选择您的内核版本根据上面的选择:"   
    
 echo " 1--4.9.186"
echo "  2--4.14.117"
echo "  3--4.14.180"
echo "  4--4.14.186"
echo "  5--4.14.186-oneplus"
echo "  6--4.19.81"
echo "  7--4.19.113"
echo "  8--4.19.157"
echo "  9--4.19.191"
echo "  10--5.4-oneplus"
echo "  11--5.4-xiaomi"
echo "  12--5.10"
echo "  13--5.15"
echo "  14--6.1"
echo "  15驱动信息"
 kernel_version=$(uname -r)
echo "  \033[31m当前内核版本号是: $kernel_version\033[0m"
echo " [-]选择驱动:"

read number_of_files

case $number_of_files in
        1)#4.9.186
          file_path="/data/驱动整合.sh"
# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi 
#创建文件夹
mkdir /data/gt4.9.186        
# 下载 .sh 文件
curl -o /data/gt4.9.186/4.9.186/load.sh "https://cccimg.com/down.php/4b8bdbcc078ca7ac04dc836e0be4165a.sh"
# 下载普通文件
curl -o  /data/gt4.9.186/4.9.186.ko"https://cccimg.com/down.php/594ff5f1188a655b8043a7db8397498e.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/gt4.9.186/load.sh
# 运行 .sh 文件
./data/gt4.9.186/load.sh    
     ;;
     2)#4.14.117
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi         
mkdir /data/gt4.14.117
# 下载 .sh 文件
curl -o /data/gt4.14.117/load.sh "https://cccimg.com/down.php/5e206cd12e0ce108869d215ea6461abe.sh"
# 下载普通文件
curl -o  /data/gt4.14.117/4.14.117.ko"https://cccimg.com/down.php/91a8a9eb9a5397c715c5228ef7d6af95.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/gt4.14.117/load.sh
# 运行 .sh 文件
./data/gt4.14.117/load.sh                      
     ;;
     3) #4.14.180  
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi        
mkdir /data/gt4.14.180 
# 下载 .sh 文件
curl -o /data/gt4.14.180/load.sh "https://cccimg.com/down.php/e0f84493e4cfa8b34ec61c7178b32b0b.sh"
# 下载普通文件
curl -o  /data/gt4.14.180/4.14.180.ko"https://cccimg.com/down.php/2f93d8f9f4a69a8b243d17b5a43d8b0f.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/gt4.14.180/load.sh
# 运行 .sh 文件
./data/gt4.14.180/load.sh     
       ;;
      4)#4.14.186  
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi         
mkdir /data/gt4.14.186
# 下载 .sh 文件
curl -o /data/gt4.14.186/load.sh "https://cccimg.com/down.php/bf829b2fa4e06f8817d9dd914ea273c1.sh"
# 下载普通文件
curl -o  /data/gt4.14.186/4.14.186.ko"https://cccimg.com/down.php/c4e885391c9cb70b704a2da697be8a3e.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/gt4.14.186/load.sh
# 运行 .sh 文件
./data/gt4.14.186/load.sh          
      ;;
      5)#4.14.186-oneplus
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi         
mkdir /data/gt4.14.186.1
# 下载 .sh 文件
curl -o /data/gt4.14.186.1/load.sh "https://cccimg.com/down.php/bf829b2fa4e06f8817d9dd914ea273c1.sh"
# 下载普通文件
curl -o  /data/gt4.14.186.1/4.14.186.ko"https://cccimg.com/down.php/4500fa5b5bb1f7d5075f8ee9998a5836.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/gt4.14.186.1/load.sh
# 运行 .sh 文件
./data/gt4.14.186.1/load.sh          
      ;;
      6)#4.19.81.
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi    
mkdir /data/gt4.19.81     
# 下载 .sh 文件
curl -o /data/gt4.19.81/load.sh "https://cccimg.com/down.php/9e4a5cd2e4cedd32a414adc17ad0a807.sh"
# 下载普通文件
curl -o  /data/gt4.19.81/4.19.81.ko"https://cccimg.com/down.php/24d13457b7d58b82b74ba2ff0c97d854.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/gt4.19.81/load.sh
# 运行 .sh 文件
./data/gt4.19.81/load.sh          
      ;;
      7) #4.19.113
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi     
mkdir /data/gt4.19.113 
# 下载 .sh 文件
curl -o /data/gt4.19.113/load.sh "https://cccimg.com/down.php/fb972a5019cb66c97445594945093f8b.sh"
# 下载普通文件
curl -o  /data/gt4.19.113/4.19.113.ko"https://cccimg.com/down.php/24d13457b7d58b82b74ba2ff0c97d854.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/gt4.19.113/load.sh
# 运行 .sh 文件
./data/gt4.19.113/load.sh         
      ;;
      8)#4.19.157  
     file_path="/data/驱动整合.sh"
# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi
mkdir /data/gt4.19.157         
# 下载 .sh 文件
curl -o /data/gt4.19.157/load.sh "https://cccimg.com/down.php/ba67774ab71b2d955d063ebdcc07b5a5.sh"
# 下载普通文件
curl -o /data/gt4.19.157/4.19157.ko"https://cccimg.com/down.php/8f179150023350fb46044a0f5682f463.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/gt4.19.157/load.sh
# 运行
./data/gt4.19.157/load.sh                  
      ;;
      9)  #4.19.191 
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi         
mkdir /data/gt4.19.191
# 下载 .sh 文件
curl -o /data/gt4.19.191/load.sh "https://cccimg.com/down.php/fb972a5019cb66c97445594945093f8b.sh"
# 下载普通文件
curl -o  /data/gt4.19.191/4.19.191.ko"https://cccimg.com/down.php/24d13457b7d58b82b74ba2ff0c97d854.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/gt4.19.191/load.sh
# 运行 .sh 文件
./data/gt4.19.191/load.sh         
      ;;
     10)#5.4-oneplus   
     file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi        
mkdir /data/gt5.4
# 下载 .sh 文件
curl -o /data/gt5.4/load.sh "https://cccimg.com/down.php/988e25053d031f01d333c5016b1292cc.sh"
# 下载普通文件
curl -o  /data/gt5.4/5.4.ko"https://cccimg.com/down.php/2f1285ab41abe51f49c02a5d77262793.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/gt5.4/load.sh
# 运行 .sh 文件
./data/gt5.4/load.sh        
      ;;
     11)# 5.4-xiaomi 
          file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi         
mkdir /data/gt5.1-1
# 下载 .sh 文件
curl -o /data/gt5.1-1/load.sh "https://cccimg.com/down.php/988e25053d031f01d333c5016b1292cc.sh"
# 下载普通文件
curl -o  /data/gt5.1-1/5.4.ko"https://cccimg.com/down.php/2f1285ab41abe51f49c02a5d77262793.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/gt5.1-1/load.sh
# 运行 .sh 文件
./data/gt5.1-1/load.sh            
      ;;
      12) # 5.10 
          file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi         
mkdir /data/5.10
# 下载 .sh 文件
curl -o /data/5.10/load.sh "https://cccimg.com/down.php/1f7c07ed45b4cf103234ea1845693bf9.sh"
# 下载普通文件
curl -o  /data/5.10/5.10.ko"https://cccimg.com/down.php/2a428857846ef4677438f3a973e99bc2.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/5.10load.sh
# 运行 .sh 文件
./data/5.10/load.sh           
      ;;
      13)#5.15   
          file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi       
mkdir /data/5.15 
# 下载 .sh 文件
curl -o /data/5.15/load.sh "https://cccimg.com/down.php/6a22ed5fc04956db5927c7cd4ef56bad.sh"
# 下载普通文件
curl -o  /data/5.15/5.15.ko"https://cccimg.com/down.php/c598e532b513dff308d12c4c867c690a.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/5.15/load.sh
# 运行 .sh 文件
./data/5.15/load.sh            
      ;;
      14)#6.1
         file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
     echo ""
else  
echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
     echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
fi         
mkdir /data/6.1
# 下载 .sh 文件
curl -o /data/6.1/load.sh "https://cccimg.com/down.php/a91c92da77ee7d93e2c30d377158b579.sh"
# 下载普通文件
curl -o  /data/6.1/6.1.ko"https://cccimg.com/down.php/25a6d30b167ddbfc13ff1d30c8f227c8.ko"
# 给 .sh 文件添加执行权限
chmod +x /data/6.1/load.sh
# 运行 .sh 文件
./data/6.1/load.sh                        
       ;;
     15)  
    echo "请先将压缩包解压到任意目录 然后打开文件
找到你手机对应的版本文件夹 点进去 然后root执行load.sh
如果执行sh后不是直接结束进程 而是有一串英文的提示信息 那么就是报错 请发到官方群里
如果执行sh后直接结束进程 什么也不提示 就是刷入成功"          
     ;;           
     *)
         echo "无效选项"
         ;;
esac
    
         
              
                   
                        
                             
                                  
                                       
                                            
                                                 
                                                      
                                                           
                                                                
                                                                          
 
         ;;
     5)
     
     
     
     
     
echo "\n"  
clear

echo "\033[31m请选择内核版本:\033[0m"
echo " \033[32m1--4.4.192\033[0m"
echo " \033[32m2--4.9.186\033[0m"
echo " \033[32m3--4.14.117\033[0m"
echo " \033[32m4--4.14.141\033[0m"
echo " \033[32m5--4.14.180\033[0m"
echo " \033[32m6--4.14.180b\033[0m"
echo " \033[32m7--4.14.186\033[0m"
echo " \033[32m8--4.14.186b\033[0m"
echo " \033[32m9--4.14.190\033[0m"
echo " \033[32m10--4.19.133\033[0m"
echo " \033[32m11--4.19.157\033[0m"
echo " \033[32m12--4.19.157.b\033[0m"
echo " \033[32m13--4.19.191\033[0m"
echo " \033[32m14--5.4.147\033[0m"
echo " \033[32m15--5.4\033[0m"
echo " \033[32m16--5.4b\033[0m"
echo " \033[32m17--5.10\033[0m"
echo " \033[32m18--5.15\033[0m"
echo "\033[32m驱动信息\033[0m"
 kernel_version=$(uname -r)
echo "  \033[31m当前内核版本号是: $kernel_version\033[0m"
echo "\033[32m [-]选择驱动:\033[0m"

read user_name

case $user_name in
        1)#4.4.192
file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must4.4.192 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/fa3fda76251a54df5a427ee286d7c66f.sh" # 请替换为正确的下载链接
curl -o /data/must44192/4.4.192.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must44192/4.4.192.sh

# 执行脚本
/data/must44192/4.4.192.sh                   
        ;;
       2)#4.9.186
        
        
        file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must4.4.192 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/e9907521d5af0734cc4c6f18a090f3c8.sh" # 请替换为正确的下载链接
curl -o /data/must4.9.186/4.9.186.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must4.9.186/4.9.186.sh

# 执行脚本
/data/must4.9.186/4.9.186.sh                   
        
        
        
        ;;
        3)#4.14.117
        
        file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must4.14.117 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/cd3a9beb338d9d9186ee4aea0659363a.sh" # 请替换为正确的下载链接
curl -o /data/must4.14.117/4.14.117.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must4.14.117/4.14.117.sh

# 执行脚本
/data/must4.14.117/4.14.117.sh                    
        
        ;;
        4)#4.14.141      
        
        
        file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must4.14.141 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/510cd77ceb7079f0c2774895e5e2c9ee.sh" # 请替换为正确的下载链接
curl -o /data/must4.14.141/4.14.141.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must4.14.141/4.14.141.sh

# 执行脚本
/data/must4.14.14117/4.14.141.sh                    
        
        ;;
        5)#4.14.180
        
        
        file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must4.14.180 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/b589d92cece31a036dd4a53026764456.sh" # 请替换为正确的下载链接
curl -o /data/must4.14.117/4.14.180.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must4.14.180/4.14.180.sh

# 执行脚本
/data/must4.14.180/|4.14.180.sh                    
        ;;
        6)#4.14.180b
        
        
        file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must4.14.180b || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/a20954bee034c258cbfe0998a30e685d.sh" # 请替换为正确的下载链接
curl -o /data/must4.14.180b/4.14.180b.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must4.14.180b/4.14.180b.sh

# 执行脚本
/data/must4.14.180b/4.14.180b.sh                    
        
        ;;
        7)#4.14.186
       
        
          file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must4.14.186 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/45e5d03e09c3971676dad078329a7244.sh" # 请替换为正确的下载链接
curl -o /data/must4.14.186/4.14.186.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must4.14.186/4.14.186.sh

# 执行脚本
/data/must4.14.186/4.14.186.sh                    
        
        
        ;;
        8)#4.14.186b      
        
        
                  file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must4.14.186b || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/f43b2753cdd453ea4b44022e9371385d.sh" # 请替换为正确的下载链接
curl -o /data/must4.14.186b/4.14.186b.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must4.14.186b/4.14.186b.sh

# 执行脚本
/data/must4.14.186b/4.14.186b.sh                    
        
        
        
        
        
        ;;
        9)#4.14.190
              
        
        
        file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must4.14.190 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/0b447dbb990ea14628287edd9d850f9d.sh" # 请替换为正确的下载链接
curl -o /data/must4.14.190/4.14.190.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must4.14.190/4.14.190.sh

# 执行脚本
/data/must4.14.190/4.14.190.sh                    
        
        ;;
        10)#4.19.133
       

file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must4.19.133 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/0d1482256daeba80731244548cae5b03.sh" # 请替换为正确的下载链接
curl -o /data/must4.19.133/4.19.133.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must4.19.133/4.19.133.sh

# 执行脚本
/data/must4.19.133/4.19.133.sh                 
        
        ;;
        11)#4.19.157
        
        file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must419157 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/c98d220eee354d7e184a827fd9d56753.sh" # 请替换为正确的下载链接
curl -o /data/must419157/4.19.157.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must419157/4.19.157.sh

# 执行脚本
/data/must419157/4.19.157.sh
        
        ;;
        12)#4.19.157.b
              

        file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must4.19.157.b || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/c246d98f69be32e5819a5a7cacee5246.sh" # 请替换为正确的下载链接
curl -o /data/must4.19.157.b/4.19.157.b.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must4.19.157.b/4.19.157.b.sh

# 执行脚本
/data/must4.19.157.b/4.19.157.b.sh
        ;;
        13)#4.19.191
        
        file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must4.19.191 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/e2020f92470f57ecb9befee1d34f90a5.sh" # 请替换为正确的下载链接
curl -o /data/must4.19.191/4.19.191.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must4.19.191/4.19.191.sh

# 执行脚本
/data/must4.19.191/4.19.191.sh
        
        
        ;;
        14)#5.4.147
        
                file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must5.4.147 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/98f6a174774a828affa04cf09d8ef8c4.sh" # 请替换为正确的下载链接
curl -o /data/must5.4.147/5.4.147.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must5.4.147/5.4.147.sh

# 执行脚本
/data/must5.4.147/5.4.147.sh
        
        
        ;;
        15)#5.4
        
        file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must5.4 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/98f6a174774a828affa04cf09d8ef8c4.sh" # 请替换为正确的下载链接
curl -o /data/must5.4/5.4.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must5.4/5.4.sh

# 执行脚本
/data/must5.4/5.4.sh
        
        ;;
        16)#5.4b
        
        file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must5.4b || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/30eb1d5161a42a147393ec8e1272f409.sh" # 请替换为正确的下载链接
curl -o /data/must5.4b/5.4b.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must5.4b/5.4b.sh

# 执行脚本
/data/must5.4b/5.4b.sh
        
        
        ;;
        17)#5.10
        
        file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must5.10 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/05e7a001cb9de78e8b1503e8785c5df6.sh" # 请替换为正确的下载链接
curl -o /data/must5.10/5.10.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must5.10/5.10.sh

# 执行脚本
/data/must5.10/5.10.sh
        
        ;;
        18)#5.15
        
        file_path="/data/驱动整合.sh"

# 获取文件权限并检查是否为777
if [ "$(stat -c "%a" "$file_path")" -eq 777 ]; then
    echo "检测到777权限"
else  
    echo -e "\033[31m不给777权限你运行个蛋呐\033[0m"
    exit 1
fi

# 创建目录，如果目录不存在则创建
mkdir -pv /data/must5.15 || exit 1

# 下载文件到当前目录
link="https://cccimg.com/down.php/05e7a001cb9de78e8b1503e8785c5df6.sh" # 请替换为正确的下载链接
curl -o /data/must5.15/5.15.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/must5.15/5.15.sh

# 执行脚本
/data/must5.15/5.15.sh
        
        
        ;;
        19)#
        echo "\033[31m红色1.请把must{{}}完美驱动解压到/data/就可以了\n2.第一次使用要关机\n3.有的人可能要使用b驱动版本\n4.没有支持你的ko等支持就行频道 @sdnbx\033[0m"
        
        ;;
         *)
         echo "无效选项"
         ;;
esac
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
      
         ;;
     6)
        
        
        
  
echo "正在下载..."

# 指定下载链接
url="https://cccimg.com/down.php/91fe135475aeaee47e2ad7f3bbd866ba.zip"

# 指定保存ZIP文件的目录
destination_dir="/data/QX14.3驱动/"

# 指定下载的ZIP文件名
filename="QX14.3驱动.zip"

# 创建目标目录，如果不存在的话
mkdir -p "$destination_dir"

# 使用curl下载文件
curl -o "$destination_dir/$filename" "$url"

# 检查下载是否成功
if [ $? -eq 0 ]; then
    echo "\033[31m下载成功，文件保存在> $destination_dir/$filename\n正在运行.请稍等...\033[0m"
    sleep 6
    echo "\033[31m自己解压出来自己执行\n给你懒得还想等着我执\n行是吧？作者写不累呀？\n看着那一长串儿我脑子都大了😡😡😡😡\n\033[0m"
    sleep 6
    echo "\033[31m还在看看什么看？文件都给你下了还不执行😡😡\033[0m"
else
    echo "下载失败>你个败类这都下载不了你真废鄙视你🤣"
fi       
         
      ;;
      7)

echo "\033[31m你TM眼瞎是不？说了将此文件放到->/data/中去执行你是眼瞎还是眼瞎？😡😡😡\033[0m"
     ;;
     8)


# 创建目录，如果目录不存在则创建
mkdir -pv /data/ND || exit 1

link="https://cccimg.com/down.php/4a72b98601cda45e999fa2412bd9ea82.sh" # 请替换为正确的下载链接
curl -o /data/ND/清理.sh "$link" || exit 1

# 给下载的脚本文件赋予执行权限
chmod +x /data/ND/清理.sh

# 执行脚本
/data/ND/清理.sh                      
      ;;
     *)
         echo "\033[31m\033[31m不是牢弟你眼瞎了>就给你六个选项>选别的干嘛？\033[0m"
         ;;
esac

        
         ;;
         *)
        echo "\033[31m卡密错误❌\033[0m"
        echo "\033[31m卡密错误❌\033[0m"
        echo "\033[31m卡密错误❌\033[0m"
        echo "\033[31m卡密错误❌\033[0m"
        ;;
esac
        